-- TODO move strings to this file and translate them
HarvestImport.allImportLocalizations = {
	["en"] = {
		["export"] = "Export",
		["exportdesc"] = "Exports all your discovered pins into SavedVariables/HarvestMapImport.lua\nAfter the loading screen you can send this file to another player.",
		["import"] = "Import",
		["importdesc"] = "Imports data found in SavedVariables/HarvestMapImport.lua\nNote that if you want to import multiple files, you have to be logged out when replacing the file with another one.",
		["pintype"] = "Pin Type Settings",
		["pintypedesc"] = "Here you can select which pin types are imported.",
		["zonesettings"] = "Zone Settings",
		["zonesettingsdesc"] = "Here you can select which zone's data are imported.",
	},
	["de"] = {
	},
	["fr"] = {
	},
	["jp"] = {
		["export"] = "エクスポート",
		["exportdesc"] = "発見した全てのピンをSavedVariables/HarvestMapImport.luaにエクスポートします。\nロード画面表示後、このファイルを別のプレイヤーに送付できます。",
		["import"] = "インポート",
		["importdesc"] = "SavedVariables/HarvestMapImport.luaにあるデータをインポートします。\n複数のファイルをインポートする場合、別のファイルに置き換える際にログアウトする必要があります。",
		["pintype"] = "ピン種別の設定",
		["pintypedesc"] = "インポートするピンの種別を選択します。",
		["zonesettings"] = "エリアの設定",
		["zonesettingsdesc"] = "インポートするエリアのデータを選択します。",
	},
}

-- Set Localization
HarvestImport.importLocalization = HarvestImport.allImportLocalizations[Harvest.language]

function HarvestImport.GetLocalization(tag)
	-- return the localization for the given tag,
	-- if the localization is missing, use the english string instead
	-- if the english string is missing, something went wrong.
	-- return the tag so that at least some string is returned to prevent the addon from crashing
	return (HarvestImport.importLocalization[ tag ] or HarvestImport.allImportLocalizations["en"][ tag ]) or tag
end
